Package com.orchestranetworks.module

# Class ModuleRegistrationServlet

java.lang.Object
jakarta.servlet.GenericServlet
jakarta.servlet.http.HttpServlet
com.orchestranetworks.module.ModuleRegistrationServlet

All Implemented Interfaces:
  `ModuleRegistration`, `Servlet`, `ServletConfig`, `Serializable`

public abstract class ModuleRegistrationServlet extends HttpServlet implements ModuleRegistration
Ensures the EBX® module registration from a HTTP servlet.

If further initialization or termination is required, see `ModuleRegistration` for more information.

Since:
  5.7.1
See Also:
  - Module registration
  - `ModuleRegistrationListener`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `final void`
  `destroy()`
  Called by the servlet container to indicate to a servlet that the servlet is being taken out of service.
  `final void`
  `init(ServletConfig aServletConfig)`
  Called by the servlet container to indicate to a servlet that the servlet is being placed into service.

  ### Methods inherited from class jakarta.servlet.http.HttpServlet

  `service`

  ### Methods inherited from class jakarta.servlet.GenericServlet

  `getInitParameter, getInitParameterNames, getServletConfig, getServletContext, getServletInfo, getServletName, init, log, log`

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface com.orchestranetworks.module.ModuleRegistration

  `destroyBeforeUnregisterModule, handleRepositoryShutdown, handleRepositoryStartup, handleSearchRegistration, handleServiceRegistration`

- ## Method Details

  - ### init

    public final void init(ServletConfig aServletConfig) throws ServletException
    Called by the servlet container to indicate to a servlet that the servlet is being placed into service.

    This implementation adds the EBX® module registration to the super implementation.

    If further initialization is required, the methods `GenericServlet.init()` or `ModuleRegistration.handleRepositoryStartup(ModuleContextOnRepositoryStartup)` can be overridden.

    Specified by:
      `init` in interface `Servlet`
    Overrides:
      `init` in class `GenericServlet`
    Throws:
      `ServletException`

  - ### destroy

    public final void destroy()
    Called by the servlet container to indicate to a servlet that the servlet is being taken out of service.

    This 'final' implementation invokes the method `ModuleRegistration.destroyBeforeUnregisterModule()` and then unregisters the current module.

    Specified by:
      `destroy` in interface `Servlet`
    Overrides:
      `destroy` in class `GenericServlet`